Patchwork gdb: add PACKAGECONFIG for Python support

login
register
mail settings
Submitter Jonathan Liu
Date July 14, 2013, 7:04 a.m.
Message ID <1373785460-14747-1-git-send-email-net147@gmail.com>
Download mbox | patch
Permalink /patch/53647/
State Accepted
Commit 344cf64642d8da4cbef1faf56b02556c7d0f539d
Headers show

Comments

Jonathan Liu - July 14, 2013, 7:04 a.m.
Signed-off-by: Jonathan Liu <net147@gmail.com>
---
 meta/recipes-devtools/gdb/gdb_7.6.bb | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

Patch

diff --git a/meta/recipes-devtools/gdb/gdb_7.6.bb b/meta/recipes-devtools/gdb/gdb_7.6.bb
index 6b38812..54082b8 100644
--- a/meta/recipes-devtools/gdb/gdb_7.6.bb
+++ b/meta/recipes-devtools/gdb/gdb_7.6.bb
@@ -1,2 +1,23 @@ 
 require gdb.inc
 require gdb-7.6.inc
+
+inherit python-dir
+
+PACKAGECONFIG ??= ""
+PACKAGECONFIG[python] = "--with-python=${WORKDIR}/python,--without-python,python"
+
+do_configure_prepend() {
+	if [ -n "${@base_contains('PACKAGECONFIG', 'python', 'python', '', d)}" ]; then
+		cat > ${WORKDIR}/python << EOF
+#!/bin/sh
+case "\$2" in
+	--includes) echo "-I${STAGING_INCDIR}/${PYTHON_DIR}/" ;;
+	--ldflags) echo "-Wl,-rpath-link,${STAGING_LIBDIR}/.. -Wl,-rpath,${libdir}/.. -lpthread -ldl -lutil -lm -lpython${PYTHON_BASEVERSION}" ;;
+	--exec-prefix) echo "${exec_prefix}" ;;
+	*) exit 1 ;;
+esac
+exit 0
+EOF
+		chmod +x ${WORKDIR}/python
+	fi
+}